package com.example.adjust_custom_test_alone.adjust.sdk;


import com.example.adjust_custom_test_alone.nasser.AdTraceSdkClickFailure;
import com.example.adjust_custom_test_alone.nasser.AdTraceSdkClickSuccess;

/**
 * Created by nonelse on 24.04.17.
 */

public class SdkClickResponseData extends ResponseData {
    boolean isInstallReferrer;
    long clickTime;
    long installBegin;
    String installReferrer;
    long clickTimeServer;
    long installBeginServer;
    String installVersion;
    Boolean googlePlayInstant;
    String referrerApi;

    public AdTraceSdkClickSuccess getSuccessResponseData() {
        if (!this.success) {
            return null;
        }
        AdTraceSdkClickSuccess successResponseData = new AdTraceSdkClickSuccess();
        try{
            successResponseData.responseData = this.jsonResponse.toString();
        }
        catch (Exception e){
            successResponseData.responseData = this.toString();

        }
        successResponseData.responseCode = this.getStatusCode();



        return successResponseData;
    }

    public AdTraceSdkClickFailure getFailureResponseData() {
        if (this.success) {
            return null;
        }
        AdTraceSdkClickFailure failureResponseData = new AdTraceSdkClickFailure();


        try{
            failureResponseData.responseData = this.jsonResponse.toString();
        }
        catch (Exception e){
            failureResponseData.responseData = this.toString();

        }
        failureResponseData.responseCode = this.getStatusCode();


        return failureResponseData;
    }

    @Override
    public String toString() {
        String res = "";
          res+= "isInstallReferrer: " +isInstallReferrer + ", ";
         res+="clickTime: " +clickTime+ ", ";
         res+="installBegin: " +installBegin+ ", ";
         res+="installReferrer: " +installReferrer+ ", ";
         res+="clickTimeServer: " +clickTimeServer+ ", ";
         res+="installBeginServer: " +installBeginServer+ ", ";
         res+="installVersion: " +installVersion+ ", ";
         res+="googlePlayInstant: " +googlePlayInstant+ ", ";
         res+="referrerApi: " +referrerApi;
         return res;
    }
}
