package com.example.adjust_custom_test_alone.adjust.sdk.network;


import com.example.adjust_custom_test_alone.adjust.sdk.ActivityPackage;
import com.example.adjust_custom_test_alone.adjust.sdk.ResponseData;

import java.util.Map;

public interface IActivityPackageSender {
    interface ResponseDataCallbackSubscriber {
        void onResponseDataCallback(ResponseData responseData);
    }

    void sendActivityPackage(ActivityPackage activityPackage,
                             Map<String, String> sendingParameters,
                             ResponseDataCallbackSubscriber responseCallback);

    ResponseData sendActivityPackageSync(ActivityPackage activityPackage,
                             Map<String, String> sendingParameters);
}
