class SdkClick {
  String _sdkClick;

  String get sdkClick => _sdkClick;

  set sdkClick(String value) {
    _sdkClick = value;
  }

  int statusCode = 0;
}

class SdkClickSucceed extends SdkClick {
  static SdkClickSucceed fromMap(dynamic map) {
    SdkClickSucceed sdkClickResponse = SdkClickSucceed();
    try {
      sdkClickResponse.sdkClick = map['data'];
      // sdkClickResponse.statusCode = int.parse(map['statusCode']);
    } catch (e) {
      print('[AdTraceFlutter]:  SdkClickSucceed Error ' + e.toString());
    }
    return sdkClickResponse;
  }

  @override
  String toString() {
    return 'SdkClickSucceed{\ndata: $sdkClick\nStatus: $statusCode'
        '\n}';
  }
}
class SdkClickFailure extends SdkClick{
  static SdkClickFailure fromMap(dynamic map) {
    SdkClickFailure sdkClickResponse = SdkClickFailure();
    try {
      sdkClickResponse.sdkClick = map['data'];
      // sdkClickResponse.statusCode = int.parse(map['statusCode']);
    } catch (e) {
      print('[AdTraceFlutter]:  SdkClickFailure Error ' + e.toString());
    }
    return sdkClickResponse;
  }

  @override
  String toString() {
    return 'SdkClickFailure{\ndata: $sdkClick\nStatus: $statusCode'
        '\n}';
  }
}