import 'package:shared_preferences/shared_preferences.dart';

class ShpHelper {
  static Future<bool> writeString(String key, String value) async {
    SharedPreferences shp = await SharedPreferences.getInstance();
    return await shp.setString(key, value);
  }

  static Future<String> readString(String key) async {
    SharedPreferences shp = await SharedPreferences.getInstance();
    String res = await shp.getString(key);
    return res == null ? '' : res;
  }

  static Future<bool> writeStringList(String key, List<String> list) async {
    SharedPreferences shp = await SharedPreferences.getInstance();
    return await shp.setStringList(key, list);
  }

  static Future<List<String>> readStringList(String key) async {
    SharedPreferences shp = await SharedPreferences.getInstance();
    List<String> res = shp.getStringList(key);
    return res == null ? [] : res;
  }



}
