import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:adjust_custom_test_alone/adjust_custom_test_alone.dart';

void main() {
  const MethodChannel channel = MethodChannel('adjust_custom_test_alone');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });


}
